Skip to main content
GET
/
transactions
/
{transaction_hash}
/
state-changes
get transaction state changes
curl --request GET \
  --url https://eth.blockscout.com/api/v2/transactions/{transaction_hash}/state-changes
{
  "items": [
    {
      "type": "coin | token",
      "is_miner": true,
      "balance_before": "100000000",
      "balance_after": "100000000",
      "token_id": null,
      "change": [
        {
          "direction": "from | to",
          "total": {
            "token_id": "1"
          }
        }
      ]
    }
  ],
  "next_page_params": {
    "items_count": 1,
    "state_changes": null
  }
}

Path Parameters

transaction_hash
string
required

Transaction hash

Pattern: ^0x([A-Fa-f0-9]{64})$

Response

state changes

items
object[]
required
next_page_params
object
required
Example:
{ "items_count": 1, "state_changes": null }